WellbyteWellbyte

GET /v1/twitter/web/fetch_tweet_detail

Get single tweet data

stable · 2 credits per success

Get single tweet data;tweet_id: Tweet ID, can be obtained from the tweet link. For example: 1808168603721650364 in https://x.com/elonmusk/status/1808168603721650364;Tweet data

Sign up for 500 credits and run with your own API key. Sign up free

Request

curl -s 'https://api.wellbyte.net/v1/twitter/web/fetch_tweet_detail?tweet_id=1808168603721650364' \
  -H "Authorization: Bearer dg_live_…"

Response

Sample captured 2026-08-27

data{
code:0
data{
id:"1808168603721650364"
lang:"en"
text:
"The New York Times is attacking *your* freedom of speech! https://t.co/TRIa13TWd..."
likes:284056
media{ 1 item }
views:"53720764"
author{ 7 items }
quotes:3899
status:"active"
replies:19137
entities{ 6 items }
reply_to:null
retweets:52520
bookmarks:6621
sensitive:false
created_at:"Tue Jul 02 15:59:23 +0000 2024"
display_text:"The New York Times is attacking *your* freedom of speech!"
initial_tweets:null
conversation_id:"1808168603721650364"
conversation_control{ 1 item }
in_reply_to_screen_name:null
in_reply_to_user_id_str:null
in_reply_to_status_id_str:null
}
meta{
endpoint:"twitter.web.fetch_tweet_detail"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

No calls yet. Get one green run first, then switch to your own data.

    Request parameters

    NameTypeInRequiredDescriptionExample
    tweet_idstringqueryyes推文ID1808168603721650364

    Response fields

    Field dictionary coming soon — the executable panel shows the live shape.

    Errors

    codeHTTPMeaningBilled
    40001400Invalid parametersno
    40102401Invalid or revoked API Keyno
    40201402Insufficient creditsno
    40402404Resource not foundno
    42201422Quality gate failedno
    42901429Rate limit exceededno
    50401504Upstream timeoutno
    50201502Upstream errorno

    Billing

    Success costs 2 credits. Any failure — including a 200 from upstream that fails the quality gate — costs 0.

    Search

    Search endpoints and docs